<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">
	
	<ui:define name="title">
        .:Sistema de Acceso a la información pública - SAIP:.
    </ui:define>

	<ui:define name="headCont">
		<style>
			.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
				display: none;
			}
			
			.ui-selectcheckboxmenu-item:hover{
			  background-color: #850100 !important;
			  background-image: linear-gradient(to bottom, #BA0400, #840100) !important;
			  color: #FFF
			}
			
			.ui-selectcheckboxmenu-item{
			  font-size: 13.2px;
			  font-weight: 300;
			}
			
			.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
			    width: auto !important;
			    border-left: 1px solid #a8a8a8 !important;
			    border-radius: 0px 0px 0px 0px !important;
			    background: #F9F9F9 !important;
			    box-shadow: 0px 0px #FFF;
			}
			/*
			.ui-widget-header {
			    background: purple;
				width: 450px !important;
			}
			
			.ui-selectcheckboxmenu-filter-container {
				background: blue;
				width: 350px !important;
			}*/
			
			.ui-widget-header .ui-inputfield {
			
			}

			/*.checkBoxMenuClass ul {max-height:70px;overflow:auto;}*/
		</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>Solicitud de Acceso de Información Pública - Virtual.</span>
	</ui:define>

	<ui:define name="urlNavegacion">
		<li class="active"><a href="http://www.bnp.gob.pe/"> <b>BNP</b></a></li>
		<li class="active">Bienvenida</li>
		<li>Formulario Solicitud</li>
		
		<li id="box-regresar" class="active pull-right">
			<h:form id="frmRegresar">
				<p:commandButton value="Regresar"
					icon="fa fa-angle-double-left" styleClass="btnlink"
					action="#{solicitudExternoMB.irBienvenida}" ajax="false" />
			</h:form>
		</li>
	</ui:define>

	<ui:define name="content">
		#{solicitudExternoMB.limpiar()}
		#{solicitudExternoMB.llenarCombos()}
		#{solicitudExternoMB.validarSesionCodigoEnc()}
		
		
		<div class="row">
			<h:form id="frmRegSolicitud">
						
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000"
						 showSummary="false" />
						 
				<div class="col-md-12 sin-bg-box" style="margin-top:-15px;margin-bottom:10px;">
					<span> De acuerdo con lo establecido en la Ley N° 27806 - Ley
					de Transparencia y Acceso a la Información Pública, toda persona
					tiene derecho a solicitar y recibir información pública siempre que
					haya sido creada u obtenida por este Organismo o que se encuentre en
					su posesión o bajo su control. Si usted desea formular una solicitud
					de acceso a la información pública, puede llenar el siguiente
					formulario: </span>
				</div>
				<div class="col-md-12 sin-bg-box" style="padding-left: 10%; padding-right: 10%">

					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> I. FUNCIONARIO RESPONSABLE DE ENTREGAR LA INFORMACIÓN: </b></label>
						</div>
					</div>
					
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pnfuncionarioRespeponsable"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
							<div class="row box-mb">
								<div class="col-sm-10">
									<div class="form-group">
										<!-- <div style="height: 22px"></div> -->
										<h:outputLabel for="txtfuncionario" 
														value="Funcionario Responsable de Entregar la Información "
														styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:inputText
													value="#{solicitudExternoMB.solicitud.funcionarioResponsable}"
													disabled="true"
													id="txtfuncionario"													
													style="text-transform:uppercase;"													
													required="false" 
													styleClass="form-control" 
													tabindex="1" /> <!-- rendered="#{solicitudExternoMB.swtipoDocumentoCE}" -->
									</div>
								</div>
							</div>
						</p:panel>					
						</p:fieldset>
					</div>					
					
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> II. DATOS DEL SOLICITANTE: </b></label>
						</div>
					</div>
					<div class="row box-mb">
					<p:fieldset>
                	<fieldset>
                		<p:panel  id="tipoDocumentoPanel"  
                				  style=" width: 100%; 
                				  border: 0px solid #EDEDED;">
                		<div class="row box-mb">
			            	<div class="col-sm-4" >
			                	<div class="form-group">			                					                		
			                    	<h:outputLabel 	for="tipoDocumento" 
			                    					value="Tipo de Documento : " 
			                    					styleClass="control-label"/>
			                    	<span class="style_requerido">*</span>                                        
			                    	<p:selectOneMenu id="tipoDocumento"  
			                    					 value="#{solicitudExternoMB.solicitud.tipoDocumentoIdentidadId}" 
			                    					 styleClass="form-control style-select" >
			                    		<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
				                        <f:selectItems value="#{solicitudExternoMB.lstT01TipoDocumento}" 
				                        				var="item" 
				                        				itemValue="#{item.codigoRegistro}"  
				                        				itemLabel="#{item.nombreCorto}" />
				                        <p:ajax event="change" 
				                        		listener="#{solicitudExternoMB.updateTipoDocumentoPanel}" 
				                        		oncomplete="callCaptcha()"
				                        		update="tipoDocumentoPanel,				                        				
				                        				:frmRegSolicitud,
				                        				mensaje"/>
			                        </p:selectOneMenu>
			                     </div>
			                </div>
			               
			            	<div class="col-sm-4" >
			                	<div class="form-group">			                		
			                    	<h:outputLabel  value="Número de Documento : " 
			                    				    styleClass="control-label"/>
			                    	<span class="style_requerido">*</span>         
                                    <p:inputText  value="#{solicitudExternoMB.solicitud.numeroDocumentoIdentidad}" 
                                    			  id="numeroDocumentoDNI" 
                                    			  onkeypress="return onlyNumber(event)"
                                                  maxlength="8" 
                                                  style="text-transform:uppercase;"
                                                  rendered="#{solicitudExternoMB.swtipoDocumentoDNI}"                                                  
                                                  required="false" 
                                                  styleClass="form-control"
                                                  tabindex="1">
                                                  <p:ajax event="change"
												  	listener="#{solicitudExternoMB.limpiarAutoReniec()}"
												  	update=":frmRegSolicitud" />
									</p:inputText>
									                                            
                                    <p:inputText  value="#{solicitudExternoMB.solicitud.numeroDocumentoIdentidad}" 
                                    			  id="numeroDocumentoCE" 
                                    			  onkeypress="return validatecla('alfanumerico', this)"
                                                  maxlength="12" 
                                                  style="text-transform:uppercase;"
                                                  rendered="#{solicitudExternoMB.swtipoDocumentoCE}"                                                  
                                                  required="false" 
                                                  styleClass="form-control"
                                                  tabindex="1"/>
			                     </div>
			               </div>
			               
			               <div class="col-sm-1 text-left box-main-btn" >			               		
			               		<h:panelGroup rendered="#{solicitudExternoMB.swtipoDocumentoPanel}">
			               			<h:outputLabel  for="btnbuscarReniec" 
			               							value=" "
			               							styleClass="control-label"/>
			               			<p:commandButton
												rendered="#{solicitudExternoMB.swtipoDocumentoPanel}"
												id="btnbuscarReniec" value="Buscar"
												styleClass="btn btn-default btn-sensitive btn-buscar"
												icon="icon-search ocultarImgIcon" ajax="true"
												actionListener="#{solicitudExternoMB.validarRENIEC()}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												update=":frmRegSolicitud" >
									</p:commandButton>
								</h:panelGroup>	
			               </div>	               
                		</div>
                		</p:panel>                		
                		             		
                		<p:panel  id="datosPanel"  
                				  style=" width: 100%;
		                				  border: 0px solid #EDEDED;">
                		<div class="row box-mb">
	                		<div class="col-sm-4" >
				                <div class="form-group">
				                    	<h:outputLabel 	for="nombres" 
				                    					value="Nombres : " 
				                    					styleClass="control-label"></h:outputLabel>
				                    	<span class="style_requerido">*</span>                                        
				                    	<p:inputText  value="#{solicitudExternoMB.solicitud.nombres}" 
				                    				  id="nombres" 
				                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
	                                                  maxlength="30"                                                  
	                                                  required="false" 
	                                                  styleClass="form-control"
	                                                  tabindex="1"/>
				                </div>
				             </div>			               
				             <div class="col-sm-4" >
				                	<div class="form-group">
				                    	<h:outputLabel for="txtapellidopaterno" 
				                    				   value="Apellido Paterno : " 
				                    				   styleClass="control-label"/>
				                    	<span class="style_requerido">*</span>                                        
				                    	<p:inputText  value="#{solicitudExternoMB.solicitud.apellidoPaterno}" 
				                    				  id="txtapellidopaterno" 
				                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
	                                                  maxlength="50"                                                  
	                                                  required="false" styleClass="form-control"
	                                                  tabindex="1"/>
				                     </div>
				             </div>			               
					         <div class="col-sm-4" >
					                	<div class="form-group">
					                    	<h:outputLabel for="txtapellidomaterno" 
					                    				   value="Apellido Materno : " 
					                    				   styleClass="control-label"/>
					                    	<span class="style_requerido">*</span>                                        
					                    	<p:inputText  value="#{solicitudExternoMB.solicitud.apellidoMaterno}" 
					                    				  id="txtapellidomaterno" 
					                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
		                                                  maxlength="50"                                                  
		                                                  required="false" 
		                                                  styleClass="form-control"
		                                                  tabindex="1"/>
					                     </div>
					           </div>				               
                			</div>
                			<div class="row box-mb">	 				
								<div class="col-sm-8">									
										<h:outputLabel 	for="txtdireccion" 
														value="Domicilio Legal ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) : "
														styleClass="control-label">
										</h:outputLabel>
										<span class="style_requerido">*</span>
										<p:inputText
													value="#{solicitudExternoMB.solicitud.direccionDomicilio}"
													id="txtdireccion"											
													maxlength="110" 
													required="false" 
													style="text-transform: uppercase;"
													styleClass="form-control"
													tabindex="1" />									
									</div>									
							</div>
							<div class="row box-mb">	 				
									<div class="col-sm-4">
										<h:outputLabel for="cmbDepartamento" 
															value="Departamento : "
															styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:selectOneMenu 
														id="cmbDepartamento"
														value="#{solicitudExternoMB.solicitud.coddep}"
														styleClass="form-control style-select">
										<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
										<f:selectItems
														value="#{solicitudExternoMB.lstDepartamento}"
														var="tabla" 
														itemValue="#{tabla.coddep}"
														itemLabel="#{tabla.descripcion}" />
										<p:ajax event="change" 
				                        		listener="#{solicitudExternoMB.updateProvincia}"				                        		
				                        		update="cmbProvincia,
				                        				cmbDistrito"/>													 
										</p:selectOneMenu>
									</div>
									<div class="col-sm-4">
										<h:outputLabel for="cmbProvincia" 
															value="Provincia : "
															styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:selectOneMenu 
														id="cmbProvincia"
														value="#{solicitudExternoMB.solicitud.codpro}"
														styleClass="form-control style-select">
										<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
										<f:selectItems
														value="#{solicitudExternoMB.lstProvincia}"
														var="tabla" 
														itemValue="#{tabla.codpro}"
														itemLabel="#{tabla.descripcion}" />	
										<p:ajax event="change" 
				                        		listener="#{solicitudExternoMB.updateDistrito}"				                        		
				                        		update=  "cmbDistrito"/>													 
										</p:selectOneMenu>										
									</div>
									<div class="col-sm-4">
										<h:outputLabel for="cmbDistrito" 
															value="Distrito : "
															styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:selectOneMenu 
														id="cmbDistrito"
														value="#{solicitudExternoMB.solicitud.coddis}"
														styleClass="form-control style-select">
										<f:selectItem itemLabel="--- Seleccione ---" itemValue="0" />
										<f:selectItems
														value="#{solicitudExternoMB.lstDistritos}"
														var="tabla" 
														itemValue="#{tabla.coddis}"
														itemLabel="#{tabla.descripcion}" />													 
										</p:selectOneMenu>
									</div>
							</div>
							<div class="row box-mb">	 				
									<div class="col-sm-4">
									<div class="form-group">
										<h:outputLabel 	for="txtTelefono" 
														value="Telefono : "
														styleClass="control-label"></h:outputLabel>
										<span class="style_requerido">*</span>
										<p:inputText
													value="#{solicitudExternoMB.solicitud.telefono}"
													id="txtTelefono"											
													onkeypress="return onlyNumber(event)"
	                                                maxlength="9"	                                                                                                       
	                                                required="false" 
	                                                styleClass="form-control"
	                                                tabindex="1"/>
									</div>
									</div>
									<div class="col-sm-4">
										<div class="form-group">
											<h:outputLabel 	for="txtcelular" 
															value="Celular : "
															styleClass="control-label"></h:outputLabel>
											<span class="style_requerido">*</span>
											<p:inputText
														 value="#{solicitudExternoMB.solicitud.celular}"
														 id="txtcelular"													
														 onkeypress="return onlyNumber(event)"
	                                                  	 maxlength="9"	                                                                                                       
	                                                     required="false" 
	                                                     styleClass="form-control"
	                                                     tabindex="1"/>
										</div>
									</div>
									<div class="col-sm-4">
										<div class="form-group">
											<h:outputLabel 	for="txtCorreo"
															value="Correo electrónico : "
															styleClass="control-label"></h:outputLabel>
											<span class="style_requerido">*</span>
											<p:inputText
														value="#{solicitudExternoMB.solicitud.correo_electronico}"
														id="txtCorreo"
														style="text-transform: lowercase;"								
														maxlength="30" 
														required="false" 
														styleClass="form-control"
														tabindex="1" />
										</div>
									</div>
								</div>	
                		</p:panel>
                	</fieldset>
                </p:fieldset>
					
				</div>
				<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> III. INFORMACIÓN SOLICITADA:  </b> (Precise concretamente el pedido de la información)</label>
						</div>
				</div>
				<div class="row box-mb">
					<p:fieldset>
						<p:panel id="pninformacionsolicitada"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">	 				
									<div class="col-sm-12">										
											<h:outputLabel for="txtdetalle"
															value="Detalle : " 
															styleClass="control-label" />
											<span class="style_requerido">*</span>
											<p:inputTextarea id="txtdetalle" 
															rows="3" 
															cols="33"
															styleClass="form-control"
															autoResize="false" 
															counter="display"
															value="#{solicitudExternoMB.solicitud.detalleSolicitud}"
															maxlength="5000" 
															counterTemplate="{0} caracteres restantes."
															queryDelay="#{solicitudExternoMB.solicitud.detalleSolicitud}" />
											<h:outputText id="display" />
											<p:watermark for="txtdetalle"
												value="Detalle de la solicitud de información." />										
									</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>													
					
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> IV. DEPENDENCIA DE LA CUAL REQUIERE LA INFORMACIÓN: </b>(Deseable)</label>
						</div>
					</div>
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pndependenciainformacion"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">	 				
									<div class="col-sm-10">
										<h:outputLabel for="cmbDependencia" 
															value="Dependencias : "
															styleClass="control-label" />
										<span class="style_requerido">*</span>
										<p:selectOneMenu 
														id="cmbDependencia"
														value="#{solicitudExternoMB.solicitud.dependenciaDeInformacion}"
														styleClass="form-control style-select">
												<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
												<f:selectItems
																value="#{solicitudExternoMB.lstt02UnidadesOragnica}"
																var="tabla"
																itemValue="#{tabla.codigoRegistro}"
																itemLabel="#{tabla.nombreLargo}" />
										</p:selectOneMenu>
									</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>		
					
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> V. FORMA DE ENTREGA DE LA INFORMACIÓN: </b></label>
						</div>
					</div>
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pnFormaEntregaPanel"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">	 				
									<div class="col-sm-12">	
										 <h:outputLabel	id="txtmediodeentrega"
        												value="Medios Entrega:"
														styleClass="control-label" />
										 <span class="style_requerido">*</span>
										 <h:outputLabel for="menu" id="txtMedEntrega"
												value="&#160;#{solicitudExternoMB.txtmediosEntrega}"
												styleClass="control-label" />
									</div>
								</div>
								<div class="row box-mb">	
									<div class="col-sm-5">
        								<p:selectCheckboxMenu id="menu" 
        													   panelStyle="width:250px"
        													  panelStyleClass="without-selectall"
        													  value="#{solicitudExternoMB.lstMedioEntrSlc}" 
															  label="Medios de Entrega" multiple="true"
										                      filter="true" filterMatchMode="startsWith" 
										                      
										                      styleClass="form-control style-select" >
										    	<f:selectItems    value="#{solicitudExternoMB.lstMedioEntrStrg}" />
										    			
														<p:ajax   listener="#{solicitudExternoMB.updateMediosEntrega}"
																  update=":frmRegSolicitud:txtMedEntrega" />
										</p:selectCheckboxMenu>
										<!-- 
										<p:ajax   event="toggleSelect" 
																  listener="#{solicitudExternoMB.updateMediosEntrega}" 
																  update=":frmRegSolicitud:txtMedEntrega" />
										 -->
									</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>		
					
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> VI. IDENTIFICACIÓN DE LA PERSONA AUTORIZADA: </b></label>							
						</div>
											
					</div>
					<div class="row box-mb">
						<p:fieldset id="autorizaPersRecojo">
							<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
								<h:panelGrid columns="2" cellpadding="5">
									¿Autoriza a otra persona, recoger la documentación solicitada? &#160;&#160;
									<p:selectOneRadio id="autorizaRecojan" value="#{solicitudExternoMB.solicitud.flag_autoriza_recojo}">
							            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
							            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
							            <p:ajax event="change" 
				                        		listener="#{solicitudExternoMB.updateAutoPersonaPanel}"
				                        		update=":frmRegSolicitud:autorizaPersRecojo"/>
							        </p:selectOneRadio>
						        </h:panelGrid>
							</div>
        								
							<p:panel id="pnDatosPersonaAutorizada"
									 rendered="#{solicitudExternoMB.swAutorizaPersona}"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
															
								<div class="row box-mb">
										<div class="col-sm-3">										
											<h:outputLabel 	for="txtnrodocumentoAutorizado" 
															value="Nro Documento : "
															styleClass="control-label" />
												<span class="style_requerido">*</span>
												<p:inputText
															value="#{solicitudExternoMB.solicitud.persAutonroDocumento}"
															id="txtnrodocumentoAutorizado"											
															maxlength="8"
															required="false" 
															onkeypress="return onlyNumber(event)"
															styleClass="form-control"
															tabindex="1" />										
										</div>
										<div class="col-sm-5">
											<div class="form-group">
												<h:outputLabel 	for="txtNombresApellidosAutorizado" 
																value="Nombres y Apellidos : "
																styleClass="control-label"></h:outputLabel>
												<span class="style_requerido">*</span>
												<p:inputText
															value="#{solicitudExternoMB.solicitud.persAutoNombreApellidos}"
															id="txtNombresApellidosAutorizado"													
															maxlength="100" 
															required="false"
															styleClass="form-control"
															tabindex="1" />
											</div>
										</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> VII. OBSERVACIONES: </b></label>							
						</div>
											
					</div>
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pnobservacionsolicitud"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">
									<div class="col-sm-12">										
											<h:outputLabel 	for="txtObservacionsolicitud"
															value="Detalle : " 
															styleClass="control-label" />
											<span class="style_requerido">*</span>
											<p:inputTextarea id="txtObservacionsolicitud" 
															rows="3" 
															cols="33"
															styleClass="form-control"
															autoResize="false"
															counter="display1"
															value="#{solicitudExternoMB.solicitud.observacion}"
															maxlength="200"
															counterTemplate="{0} caracteres restantes."
															queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
											<h:outputText id="display1" />
											<p:watermark for="txtObservacionsolicitud"
												value="Observación de la solicitud." />										
									</div>									
								</div>
							</p:panel>
						</p:fieldset>
					</div>		
					
					<div class="row box-mb">
						<div class="col-sm-12">
							<label class="control-label"><b> VIII. DECLARACIÓN JURADA: </b></label>
						</div>
					</div>
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pndeclaracionjurada"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">
									<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
										<h:panelGrid columns="2" cellpadding="5">
											DECLARO BAJO JURAMENTO QUE LOS DATOS INGRESADOS EXPRESAN LA VERDAD &#160;&#160;
											<p:selectOneRadio id="confirmaVeracidad" value="#{solicitudExternoMB.solicitud.flagDeclaracioJurada}">
									            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
									            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
									            <p:ajax event="change" 
				                        		listener="#{solicitudExternoMB.updateDeclaracionJurada}"
				                        		update=":frmRegSolicitud:btnEnviar"/>
									        </p:selectOneRadio>
								        </h:panelGrid>
									</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>		
										
					
						<div class="col-sm-12">
							<label class="control-label"><b> IX. NOTIFICACIÓN: </b></label>
						</div>
					<div class="row box-mb">
						<p:fieldset>
							<p:panel id="pnautorizacionnotificacion"
									 style="width: 100%;									 
									 border: 0px solid #EDEDED;
									 background: rgba(237, 237, 237, .9);">
								<div class="row box-mb">	 				
									<div class="col-sm-12">
										Así mismo autorizo que todo acto administrativo derivado al presente procedimiento, se notifique en el correo electrónico consignador en el presente formulario (Ley N° 27444, número 20.4 del artículo 20°)
									</div>
								</div>
							</p:panel>
						</p:fieldset>
					</div>		
	
					<br />
					<div class="row box-mb">
						<div class="col-sm-8 text-left box-main-btn" style="">
							<div class="form-group">
								<div style="height: 15px"></div>
								<img src="../resources/img/question.png" alt="" />
								<h:outputText
											value="  Si tiene dudas sobre cómo registrar la la solicitud, presione "
											style="font-style: italic; 
											font-size: 13px;" />
								<h:outputText 
											id="informacion" 
											value="aquí"
											style="font-style: italic; 
											cursor: pointer; 
											text-decoration: underline; 
											color: #BA0400; 
											font-size: 13px;" />
								<p:tooltip 
											id="toolTipContent" 
											for="informacion" 
											position="top">
									<img
										src="../resources/img/xxx.png"
										alt="" />
								</p:tooltip>
							</div>
						</div>
						<div class="col-sm-4 text-right box-main-btn">
							<p:commandButton
											id="btnEnviar"
											value="#{solicitudExternoMB.txtBtnEnviar}"
											disabled="#{solicitudExternoMB.swDeclaracionJurada}"
											icon="fa fa-file-text-o ocultarImgIcon"
											styleClass="btn btn-primary btn-sensitive"
											actionListener="#{solicitudExternoMB.validarGrabadoPre}"
											ajax="true" update=":frmRegSolicitud:mensaje"/>

							<p:commandButton 
											id="btnLimpiar"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											rendered="#{solicitudExternoMB.mostrarBtnLimpiar}"
											value="Limpiar" 
											icon="icon-limpiar" 
											ajax="true"
											action="#{solicitudExternoMB.limpiar}"
											update=":frmRegSolicitud"/>
						</div>
					</div>
				</div>

				<p></p>
				<p:dialog id="dlgModal1" header="Atención !" widgetVar="dlgModal1"
							modal="true" width="20%" styleClass="box-modal-show"
							resizable="false">
							<div id="mainBuscarGGPP">
								<h:form id="frmConfirmarNuevaSolicitud">
									<div align="center">
										<h5>¿Está seguro que desea Enviar?</h5>
									</div>
									<div align="center">
										<p:commandButton value="Si"
											action="#{solicitudExternoMB.grabar}" ajax="true"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											onclick="PF('dlgModal1').hide(), PF('statusDialog').show()"
											oncomplete="PF('statusDialog').hide();" update=":frmRegSolicitud" />
										<p:spacer width="20" height="20"></p:spacer>
										<p:commandButton value="No"
											oncomplete="PF('dlgModal1').hide()"
											styleClass="btn btn-default btn-sensitive btn-buscar" />
									</div>
								</h:form>
							</div>
				</p:dialog>
			</h:form>
			
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>